package com.tanpu.community.controller;

import com.tanpu.common.api.CommonResp;
import com.tanpu.common.util.JsonUtil;
import com.tanpu.community.api.beans.req.OSSCheckReq;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Slf4j
@RequestMapping(value = "/api")
public class CallBackController {


    @ApiOperation("发表评论")
    @PostMapping(value = "/picCheck/callback")
    @ResponseBody
    public CommonResp<Void> picCheck(@RequestBody OSSCheckReq req) {
        log.warn(JsonUtil.toJson(req));
        return CommonResp.success();
    }


}
